Subject: R: octave 3.0 package
From: Marco Atzeri <[email-masked]>
To: "[email-masked]" <[email-masked]>, JimVan Zandt <[email-masked]>
Cc: "James R. Van Zandt" <[email-masked]>
Date: Mon, 13 Jul 2009 07:57:07 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

--- Lun 13/7/09, Van Zandt, Jim ha scritto:

> Da: Van Zandt, Jim 
> Oggetto: octave 3.0 package
> A: "cygwin cygwin.com" 
> Cc: "James R. Van Zandt" <jrvz comcast.net>
> Data: Lunedì 13 luglio 2009, 16:25
> I have been unable to get Cygwin
> Octave to run:
> 
> vanzandt:~ $ octave
> vanzandt:~ $
> 
> Here's my version info:
> 
> vanzandt:~ $ cygcheck -c -h cygwin
> Cygwin Package Information
> Package             
> Version        Status
> cygwin           
>    1.5.25-15      OK
> vanzandt:~ $ cygcheck -c -h octave
> Cygwin Package Information
> Package             
> Version        Status
> octave           
>    3.0.3-1        OK
> 
> I see Octave 3.2 has been packaged for Cygwin 1.7, but
> apparently Cygwin 1.7 hasn't been released.  I have
> certainly taken no special steps to get a prerelease
> version.  Octave is the only Cygwin program I've
> noticed problems with, so I'm reluctant to go to a prelease
> version of Cygwin.  
> 
> Apparently octave cannot find two shared libraries:
> 
> vanzandt:~ $ which octave
> /bin/octave
> vanzandt:~ $ file /bin/octave
> /bin/octave: symbolic link to `octave-3.0.3.exe'
> vanzandt:~ $ cygcheck /bin/octave-3.0.3.exe
> C:\cygwin\bin/octave-3.0.3.exe
>   C:\cygwin\bin\cygoctinterp.dll
>     C:\cygwin\bin\cygcruft.dll
> Error: could not find cygblas.dll
>       C:\cygwin\bin\cygwin1.dll
>        
> C:\WINDOWS\system32\ADVAPI32.DLL
>          
> C:\WINDOWS\system32\KERNEL32.dll
>            
> C:\WINDOWS\system32\ntdll.dll
>          
> C:\WINDOWS\system32\RPCRT4.dll
>            
> C:\WINDOWS\system32\Secur32.dll
> Error: could not find cyglapack.dll
>       C:\cygwin\bin\cyggcc_s.dll
>     C:\cygwin\bin\cygoctave.dll
> Error: could not find cygblas.dll
>       C:\cygwin\bin\cygfftw3-3.dll
> Error: could not find cyglapack.dll
>       C:\cygwin\bin\cygreadline6.dll
>         C:\cygwin\bin\cygncurses-9.dll
>         C:\WINDOWS\system32\USER32.dll
>          
> C:\WINDOWS\system32\GDI32.dll
>     C:\cygwin\bin\cyghdf5-0.dll
>       C:\cygwin\bin\cygz.dll
>       C:\cygwin\bin\cyggcc_s-1.dll
> 
> Those libraries actually are installed, as part of the
> lapack package:
> 
> vanzandt:~ $ cygcheck -c lapack
> Cygwin Package Information
> Package             
> Version        Status
> lapack           
>    3.0-8         
> OK
> vanzandt:~ $ cygcheck -l lapack|grep cyglapack
> /usr/lib/lapack/cyglapack.dll
> vanzandt:~ $ ls -l /usr/lib/lapack/cyg*
> -rwxr-x---+ 1 jrv Users  591360 Mar 24  2006
> /usr/lib/lapack/cygblas.dll
> -rwxr-x---+ 1 jrv Users 5003776 Mar 24  2006
> /usr/lib/lapack/cyglapack.dll
> 
> I believe Cygwin is supposed to automatically ensure that
> the correct version of each shared library is installed and
> loaded, but it looks like some part of that has broken
> down.  

Hi Jim,
the lapack libraries have a not standard location in
/usr/lib/lapack/
to allow anyone to install Atlas libraries with the same name 
in the standard 
/usr/bin 
and avoid a collision.

For this reason there are two shell startup files
/etc/profile.d/lapack.csh
/etc/profile.d/lapack.sh

to add /usr/lib/lapack/ at the end of the search path.
I suspect you have a redefinition of the PATH variable
in your own shell startup files that does not include
/usr/lib/lapack/

Could you add that and try again ?

> 
> Do I have the right version of lapack installed? 
> (setup.exe also offers 3.0-5)  Is there a manual way of
> getting the loader to look in /usr/lib/lapack?  E.g. is
> there a Cygwin equivalent to the Linux program
> ldconfig?  I tried setting LD_LIBRARY_PATH, and also
> installing symlinks from /c/Cygwin/bin like this:

The best way is to define the PATH to include /usr/lib/lapack.

For cygwin 1-5 the last version is octave 3.0.3-1, 
3.0-5 is a old version.

Cygwin-1.7 should go live in two weeks and it has 
octave-3.2.0-2 but the octave package works in exactly 
the same way so you will have the same PATH problem.

> 
> vanzandt:/c/cygwin/bin $ ls -l cygla*
> lrwxrwxrwx 1 jrv Domain Users 29 Jul 13 10:13 cyglapack.dll
> -> /usr/lib/lapack/cyglapack.dll
> 
> I'd appreciate any suggestions.
> 
>               - Jim Van
> Zandt
> 
> 

Regards
Marco

__________________________________________________
Do You Yahoo!?
Poco spazio e tanto spam? Yahoo! Mail ti protegge dallo spam e ti da tanto spazio gratuito per i tuoi file e i messaggi 
http://mail.yahoo.it

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple